## pysolid 0.2.2

=== debian/changelog ===
pysolid (0.2.2-2) unstable; urgency=medium

  * debian/copyright:
    - license changes back to GPL-3-only.
      Clarification provided by the upstream author in
      https://github.com/insarlab/PySolid/issues/35.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Jul 2022 08:23:02 +0000

pysolid (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - license update for GPL-3-only to GPL-3+ according to the
      updates in the setup.py file.
  * debian/rules:
    - update test script names.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Jul 2022 08:45:45 +0000

pysolid (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2022 12:08:46 +0200

pysolid (0.2.1-1) unstable; urgency=low

  * Initial version (Closes: #1010721).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 May 2022 09:56:29 +0000

## pysolid 0.2.3

=== requirements.txt ===
numpy
scipy
matplotlib
scikit-image

=== debian/changelog ===
pysolid (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.
  * debian/copyright:
    - switch to GPL-3+ according to upstream cheanges.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 28 Oct 2022 06:56:37 +0000

=== debian/control ===
Source: pysolid
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Build-Depends: gfortran,
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-matplotlib,
               python3-pytest,
               python3-scipy,
               python3-skimage,
               python3-setuptools,
               xauth,
               xvfb
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysolid
Vcs-Git: https://salsa.debian.org/debian-gis-team/pysolid.git
Homepage: https://github.com/insarlab/PySolid

Package: python3-pysolid
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         python3-numpy,
         python3-matplotlib,
         python3-scipy,
         python3-skimage
Description: Python wrapper for solid Earth tides
 Python based solid Earth tides (PySolid) is a thin Python wrapper
 of the solid.for program (by Dennis Milbert based on
 dehanttideinelMJD.f from V. Dehant, S. Mathews, J. Gipson and
 C. Bruyninx) to calculate solid Earth tides in east/north/up direction
 (section 7.1.1 in the 2010 IERS Conventions).
 Solid Earth tides introduces very long spatial wavelength components
 in SAR/InSAR observations, as shown in the Sentinel-1 data with
 regular acquisitions and large swaths (Yunjun et al., 2022).

=== debian/rules ===
#! /usr/bin/make -f

export MPLBACKEND=Agg
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pysolid

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r src/*.egg-info

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
        PYBUILD_TEST_ARGS="\
	cd {build_dir} && \
	env PYTHONPATH=. \
	xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' \
	python{version} $(CURDIR)/tests/grid.py && \
	env PYTHONPATH=. \
	xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' \
	python{version} $(CURDIR)/tests/point.py" \
	dh_auto_test
endif

override_dh_python3:
	dh_python3
	dh_numpy3

## pysolid 0.3.0

=== requirements.txt ===
# for running
numpy
scipy
matplotlib
scikit-image
# for packaging and installation
#fortran-compiler   # Fortran compiler across platforms through conda-forge channel
pip
setuptools
setuptools_scm
wheel

=== debian/changelog ===
pysolid (0.3.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't override dh_auto_test for custom pybuild system.
  * Remove generated files in clean target.
    (closes: #1047232)

  [ Antonio Valentino ]
  * debian/control:
    - Use <!nocheck> markers.
    - Add build-dependency pn python3-setuptools-scm.
  * Switch to autopkgtest-pkg-pybuild.
  * Update d/python3-pysolid.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2023 14:03:14 +0000

pysolid (0.3.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * Add pybuild-plugin-pyproject to build-dependencies.
  * Bump debhelper-compat version to 13.
  * Enable CI on salsa.d.o.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jun 2023 09:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,33 +4,34 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
-Build-Depends: gfortran,
-               debhelper-compat (= 12),
+Testsuite: autopkgtest-pkg-pybuild
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               gfortran,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-numpy,
                python3-matplotlib,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-skimage,
                python3-setuptools,
-               xauth,
-               xvfb
-Standards-Version: 4.6.1
+               python3-setuptools-scm,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysolid
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pysolid.git
 Homepage: https://github.com/insarlab/PySolid
 
 Package: python3-pysolid
 Architecture: any
-Depends: ${python3:Depends},
-         ${misc:Depends},
+Depends: python3-matplotlib,
+         python3-scipy,
+         python3-skimage,
+         ${python3:Depends},
          ${shlibs:Depends},
-         python3-numpy,
-         python3-matplotlib,
-         python3-scipy,
-         python3-skimage
+         ${misc:Depends}
 Description: Python wrapper for solid Earth tides
  Python based solid Earth tides (PySolid) is a thin Python wrapper
  of the solid.for program (by Dennis Milbert based on

=== debian/rules ===
#! /usr/bin/make -f

export MPLBACKEND=Agg
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=pysolid
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=\
 env PYTHONPATH={build_dir} xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' python{version} $(CURDIR)/tests/grid.py &&\
 env PYTHONPATH={build_dir} xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' python{version} $(CURDIR)/tests/point.py

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

## pysolid 0.3.1

=== debian/changelog ===
pysolid (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to dh-sequence-*.
  * Update maintainer e-mail address in d/copyright.
  * debian/control:
    - Drop dependency on python3-skimage (removed upstream).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 21 Aug 2023 20:34:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                gfortran,
                pybuild-plugin-pyproject,
                python3-all-dev,
@@ -14,7 +16,6 @@
                python3-matplotlib,
                python3-pytest <!nocheck>,
                python3-scipy,
-               python3-skimage,
                python3-setuptools,
                python3-setuptools-scm,
                xauth <!nocheck>,
@@ -28,7 +29,6 @@
 Architecture: any
 Depends: python3-matplotlib,
          python3-scipy,
-         python3-skimage,
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
  env PYTHONPATH={build_dir} xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' python{version} $(CURDIR)/tests/point.py
 
 %:
-	dh $@ --with python3,numpy3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## pysolid 0.3.3

=== CMakeLists.txt ===
# Based on:
# https://github.com/scikit-build/scikit-build-core/tree/main/docs/examples/getting_started/fortran

cmake_minimum_required(VERSION 3.17.2...3.29)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C Fortran)

find_package(
  Python
  COMPONENTS Interpreter Development.Module NumPy
  REQUIRED)

# F2PY headers
execute_process(
  COMMAND "${PYTHON_EXECUTABLE}" -c
          "import numpy.f2py; print(numpy.f2py.get_include())"
  OUTPUT_VARIABLE F2PY_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE)

add_library(fortranobject OBJECT "${F2PY_INCLUDE_DIR}/fortranobject.c")
target_link_libraries(fortranobject PUBLIC Python::NumPy)
target_include_directories(fortranobject PUBLIC "${F2PY_INCLUDE_DIR}")
set_property(TARGET fortranobject PROPERTY POSITION_INDEPENDENT_CODE ON)

add_custom_command(
  OUTPUT solidmodule.c solid-f2pywrappers.f
  DEPENDS src/pysolid/solid.for
  VERBATIM
  COMMAND "${Python_EXECUTABLE}" -m numpy.f2py
          "${CMAKE_CURRENT_SOURCE_DIR}/src/pysolid/solid.for" -m solid --lower)

python_add_library(
  solid MODULE "${CMAKE_CURRENT_BINARY_DIR}/solidmodule.c"
  "${CMAKE_CURRENT_BINARY_DIR}/solid-f2pywrappers.f"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/pysolid/solid.for" WITH_SOABI)
target_link_libraries(solid PRIVATE fortranobject)

install(TARGETS solid DESTINATION pysolid)

=== requirements.txt ===
# for running
numpy
scipy

=== docs/requirements.txt ===
# extra dependencies required for running notebooks
cartopy
matplotlib
mintpy

=== tests/requirements.txt ===
# for packaging and installation
#fortran-compiler   # Fortran compiler across platforms through conda-forge channel
meson
pip
setuptools_scm>=6.2
# for testing
matplotlib

=== debian/changelog ===
pysolid (0.3.3-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:28:49 +0000

pysolid (0.3.3-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:14:29 +0000

pysolid (0.3.3-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:34:44 +0000

pysolid (0.3.3-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:41 +0100

pysolid (0.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1069217).
  * debian/control:
    - Add build dependency on cmake and
      python3-scikit-build-core.
  * Update dates in d/copyright.
  * Update lintian overrides.
  * debian/patches:
    - New 0001-Fix-build-flags.patch.
    - New 0002-No-display.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Jun 2024 08:26:08 +0000

pysolid (0.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 10:33:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
@@ -15,6 +16,7 @@
                python3-numpy,
                python3-matplotlib,
                python3-pytest <!nocheck>,
+               python3-scikit-build-core,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
export SKBUILD_CMAKE_ARGS=-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON

export MPLBACKEND=Agg
export DEB_BUILD_MAINT_OPTIONS=hardening=+all buildinfo=+path
export PYBUILD_NAME=pysolid
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=\
 env PYTHONPATH={build_dir} PYSOLID_TEST_DISPLAY=FALSE xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' \
   python{version} $(CURDIR)/tests/grid.py &&\
 env PYTHONPATH={build_dir} PYSOLID_TEST_DISPLAY=FALSE xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' \
   python{version} $(CURDIR)/tests/point.py

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pysolid)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pysolid-$1.$2/ \
https://github.com/insarlab/pysolid/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pysolid)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pysolid 0.3.4

=== debian/changelog ===
pysolid (0.3.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.3, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Jan 2026 18:29:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: pysolid
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -22,7 +20,7 @@
                python3-setuptools-scm,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pysolid
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pysolid.git
 Homepage: https://github.com/insarlab/PySolid
